(function ($, Drupal) {
  Drupal.behaviors.cafeOutletBillingForm = {
    attach: function (context, settings) {
      // Recalculate totals when quantity or price changes.
      $('.item-quantity, .item-price', context).on('input', function () {
        // Loop through all quantity fields and recalculate the total.
        $('.item-quantity', context).each(function (index) {
          const quantity = parseFloat($(this).val()) || 0;
          const price = parseFloat($('.item-price').eq(index).val()) || 0;
          const total = quantity * price;
          // Update the corresponding total value.
          $('.item-total').eq(index).text(total.toFixed(2));
        });
      });
    }
  };
})(jQuery, Drupal);
